/*
   webalizer_lang.ukrainian

   Webalizer V2.0x Language Support file for English.
   15-May-1998 by Bradford L. Barrett (brad@mrunix.net)
   31-May-1998 Modified for level 1.1 support (brad@mrunix.net)
   23-Jul-1998 Modified for level 1.2 support (brad@mrunix.net)
   08-Mar-1999 Updated HTTP 1.1 response codes by Yves Lafon (ylafon@w3.org)
   28-Jun-1999 Modified for level 1.3 support (brad@mrunix.net)
   16-Feb-2000 Modified for level 2.0 support (brad@mrunix.net)
   17-May-2001 Translated by Mike Futerko (mike@LITech.lviv.ua)

   Language files are named using the following convention:

   webalizer_lang.LANGUAGE

   where 'LANGUAGE' is the name of the language the file is
   translated into (ie: webalizer_lang.russian for russian).
   Either copy the desired language file to webalizer_lang.h
   or create a symbolic link, then re-compile.

   If you translate this file into a different language, please
   send a copy to brad@mrunix.net.

   Note: to use that translation your GD should be able to display
         right Cyrillic chars. Who is require GD patch mail to:
         mike@LITech.lviv.ua
*/

/***********************************************************************/
/* DEFINE LANGUAGE NAME here                                           */
/***********************************************************************/

char *language  = "Ukrainian";

/***********************************************************************/
/*                                                                     */
/* Informational messages                                              */
/*                                                                     */
/* These messages are only displayed while The Webalizer is being run, */
/* usually to the screen, and are not part of the HTML output.         */
/*                                                                     */
/***********************************************************************/

/* these are only used in timing totals */
/* Format:   XXX records (XXX ignored, XXX bad) in X.XX seconds        */
char *msg_records = "records";
char *msg_addresses="addresses";
char *msg_ignored = "ignored";
char *msg_bad     = "bad";
char *msg_in      = "in";
char *msg_seconds = "seconds";

/* progress and setup error messages */
char *msg_log_err = "Error: Can't open log file";
char *msg_log_use = "Using logfile";
char *msg_dir_err = "Error: Can't change directory to";
char *msg_dir_use = "Creating output in";
char *msg_cur_dir = "current directory";
char *msg_hostname= "Hostname for reports is";
char *msg_ign_hist= "Ignoring previous history...";
char *msg_no_hist = "History file not found...";
char *msg_get_hist= "Reading history file...";
char *msg_put_hist= "Saving history information...";
char *msg_hist_err= "Error: Unable to write history file";
char *msg_bad_hist= "Error: Ignoring invalid history record";
char *msg_bad_conf= "Error: Unable to open configuration file";
char *msg_bad_key = "Warning: Invalid keyword";
char *msg_bad_date= "Error: Skipping record (bad date)";
char *msg_ign_nscp= "Skipping Netscape header record";
char *msg_bad_rec = "Skipping bad record";
char *msg_no_vrec = "No valid records found!";
char *msg_gen_rpt = "Generating report for";
char *msg_gen_sum = "Generating summary report";
char *msg_get_data= "Reading previous run data..";
char *msg_put_data= "Saving current run data...";
char *msg_no_data = "Previous run data not found...";
char *msg_bad_data= "Error: Unable to restore run data";
char *msg_data_err= "Error: Unable to save current run data";
char *msg_dup_data= "Warning: Possible duplicate data found";

/* DNS Stuff */
char *msg_dns_nocf= "No cache file specified, aborting...";
char *msg_dns_nodb= "Error: Unable to open DNS cache file";
char *msg_dns_nolk= "Error: Unable to lock DNS cache file";
char *msg_dns_usec= "Using DNS cache file";
char *msg_dns_rslv= "DNS Lookup";
char *msg_dns_none= "None to process";

/* memory allocation errors */
char *msg_nomem_ts= "Can't allocate enough memory, Top Sites disabled!";
char *msg_nomem_tr= "Can't allocate enough memory, Top Referrers disabled!";
char *msg_nomem_tu= "Can't allocate enough memory, Top URLs disabled!";
char *msg_nomem_tc= "Can't allocate enough memory, Top Countries disabled!";
char *msg_nomem_ta= "Can't allocate enough memory, Top User Agents disabled!";
char *msg_nomem_tsr="Can't allocate enough memory, Top Search Strings disabled!";
char *msg_nomem_ti= "Can't allocate enough memory, Top Usernames disabled!";
char *msg_nomem_dh= "Error adding host node (daily), skipping";
char *msg_nomem_mh= "Error adding host node (monthly), skipping";
char *msg_nomem_u = "Error adding URL node, skipping";
char *msg_nomem_a = "Error adding User Agent node, skipping";
char *msg_nomem_r = "Error adding Referrer node, skipping";
char *msg_nomem_sc= "Error adding Search String Node, skipping";
char *msg_nomem_i = "Error adding Username node, skipping";

/* log record errors */
char *msg_big_rec = "Error: Skipping oversized log record";
char *msg_big_host= "Warning: Truncating oversized hostname";
char *msg_big_date= "Warning: Truncating oversized date field";
char *msg_big_req = "Warning: Truncating oversized request field";
char *msg_big_ref = "Warning: Truncating oversized referrer field";
char *msg_big_user= "Warning: Truncating oversized username";
char *msg_big_one = "Warning: String exceeds storage size";

/* misc errors */
char *msg_no_open = "Error: Unable to open file";

/* Help display... */
char *h_usage1 = "Usage";
char *h_usage2 = "[options] [log file]";
char *h_msg[]= {
         "-h        = print this help message"             ,
         "-v -V     = print version information"           ,
         "-d        = print additional debug info"         ,
         "-F type   = Log type.  type= (clf | ftp | squid)",
         "-f        = Fold sequence errors"                ,
         "-i        = ignore history file"                 ,
         "-p        = preserve state (incremental)"        ,
         "-q        = supress informational messages"      ,
         "-Q        = supress _ALL_ messages"              ,
         "-Y        = supress country graph"               ,
         "-G        = supress hourly graph"                ,
         "-H        = supress hourly stats"                ,
         "-L        = supress color coded graph legends"   ,
         "-l num    = use num background lines on graph"   ,
         "-m num    = Visit timout value (seconds)"        ,
         "-T        = print timing information"            ,
         "-c file   = use configuration file 'file'"       ,
         "-n name   = hostname to use"                     ,
         "-o dir    = output directory to use"             ,
         "-t name   = report title 'name'"                 ,
         "-a name   = hide user agent 'name'"              ,
         "-r name   = hide referrer 'name'"                ,
         "-s name   = hide site 'name'"                    ,
         "-u name   = hide URL 'name'"                     ,
         "-x name   = Use filename extension 'name'"       ,
         "-P name   = Page type extension 'name'"          ,
         "-I name   = Index alias 'name'"                  ,
         "-A num    = Display num top agents"              ,
         "-C num    = Display num top countries"           ,
         "-R num    = Display num top referrers"           ,
         "-S num    = Display num top sites"               ,
         "-U num    = Display num top URLs"                ,
         "-e num    = Display num top Entry Pages"         ,
         "-E num    = Display num top Exit Pages"          ,
         "-g num    = Group Domains to 'num' levels"       ,
         "-X        = Hide individual sites"               ,
         "-D name   = Use DNS Cache file 'name'"           ,
         "-N num    = Number of DNS processes (0=disable)" ,
         NULL};

/***********************************************************************/
/*                                                                     */
/* HTML strings                                                        */
/*                                                                     */
/* These strings are used as part of the HTML output generated by The  */
/* Webalizer.                                                          */ 
/*                                                                     */
/***********************************************************************/

/* header strings */
char *msg_hhdr_sp = "Період статистики";
char *msg_hhdr_gt = "Створено";

/* main index strings */
char *msg_main_us = "Сумарне використання";
char *msg_main_per= "останні 12 місяців";
char *msg_main_sum= "Щомісячний підсумок";
char *msg_main_da = "В середньому за день";
char *msg_main_mt = "Всього за місяць";

/* month HTML page strings */
char *msg_hmth_du = "Щоденне використання за";
char *msg_hmth_hu = "Погодинне використання за";

/* table header strings */
char *msg_h_by    = "по";
char *msg_h_avg   = "середн.";
char *msg_h_max   = "макс.";
char *msg_h_total = "всього";
char *msg_h_totals= "Всього";
char *msg_h_day   = "день";
char *msg_h_mth   = "місяць";
char *msg_h_hour  = "година";
char *msg_h_hits  = "запитів";
char *msg_h_pages = "стор.";
char *msg_h_visits= "відвід.";
char *msg_h_files = "файлів";
char *msg_h_sites = "сайтів";
char *msg_h_xfer  = "КБайт";
char *msg_h_hname = "ім'я хоста";
char *msg_h_url   = "URL";
char *msg_h_agent = "агент користувача";
char *msg_h_ref   = "посилання";
char *msg_h_ctry  = "країна";
char *msg_h_search= "стрічка пошуку";
char *msg_h_uname = "ім'я користувача";

/* links along top of page */
char *msg_hlnk_ds = "Статистика по днях";
char *msg_hlnk_hs = "Статистика по годинах";
char *msg_hlnk_u  = "URL'и";
char *msg_hlnk_s  = "Сайти";
char *msg_hlnk_a  = "Агенти користувача";
char *msg_hlnk_c  = "Країни";
char *msg_hlnk_r  = "Посилання";
char *msg_hlnk_en = "Початкові сторінки";
char *msg_hlnk_ex = "Кінцеві сторінки";
char *msg_hlnk_sr = "Пошук";
char *msg_hlnk_i  = "Користувачі";

/* monthly total table */
char *msg_mtot_ms = "Місячна статисника за";
char *msg_mtot_th = "Всього запитів";
char *msg_mtot_tf = "Всього файлів";
char *msg_mtot_tp = "Всього сторінок";
char *msg_mtot_tv = "Всього відвідувань";
char *msg_mtot_tx = "Всього КБайт";
char *msg_mtot_us = "Всього унікальних сайтів";
char *msg_mtot_ur = "Всього унікальних посилань";
char *msg_mtot_ua = "Всього унікальних агентів користувача";
char *msg_mtot_uu = "Всього унікальних URL'ів";
char *msg_mtot_ui = "Всього унікальних імен";
char *msg_mtot_mhd= "Звертань за день";
char *msg_mtot_mhh= "Звертань за годину";
char *msg_mtot_mfd= "Файлів за день";
char *msg_mtot_mpd= "Сторінок за день";
char *msg_mtot_mvd= "Відвідувань за день";
char *msg_mtot_mkd= "KБайт за день";
char *msg_mtot_rc = "Звертань за кодом відповіді";

/* daily total table */
char *msg_dtot_ds = "Статистика по днях за";

/* hourly total table */
char *msg_htot_hs = "Статистика по годинах за";

/* country pie chart */
char *msg_ctry_use= "Cтатистика по країнах за";

/* top tables */
/* Formatted as "Top xxx of xxx Total something" */
char *msg_top_top = "Перші";
char *msg_top_of  = "з";
char *msg_top_s   = "сайтів";
char *msg_top_u   = "URL'ів";
char *msg_top_r   = "посилань";
char *msg_top_a   = "агентів користувача";
char *msg_top_c   = "країн";
char *msg_top_en  = "початкових сторінок";
char *msg_top_ex  = "кінцевих сторінок";
char *msg_top_sr  = "стрічок пошуку";
char *msg_top_i   = "імен користувача";
char *msg_v_sites = "Переглянути всі сайти";
char *msg_v_urls  = "Переглянути всі URL'и";
char *msg_v_refs  = "Переглянути всі посилання";
char *msg_v_agents= "Переглянути всі агенти користувача";
char *msg_v_search= "Переглянути всі cтрічки пошуку";
char *msg_v_users = "Переглянути всі імена користувачів";

/* short month names MUST BE 3 CHARS in size... pad if needed*/
char *s_month[12]={ "Січ", "Лют", "Бер",
                    "Кві", "Тра", "Чер",
                    "Лип", "Сер", "Вер",
                    "Жов", "Лис", "Гру"};

/* long month names - can be any length */
char *l_month[12]={ "Січень",   "Лютий",   "Березень", "Квітень",
                    "Травень",  "Червень", "Липень",   "Серпень",
                    "Вересень", "Жовтень", "Листопад", "Грудень"};

/* response code descriptions... order IS important!      */
struct response_code response[] =
       { { "Невідомий код відповіді",                    0 },
         { "Code 100 - Continue",                        0 },
         { "Code 101 - Switching Protocols",             0 },
         { "Code 200 - OK",                              0 },
         { "Code 201 - Created",                         0 },
         { "Code 202 - Accepted",                        0 },
         { "Code 203 - Non-Authoritative Information",   0 },
         { "Code 204 - No Content",                      0 },
         { "Code 205 - Reset Content",                   0 },
         { "Code 206 - Partial Content",                 0 },
         { "Code 300 - Multiple Choices",                0 },
         { "Code 301 - Moved Permanently",               0 },
         { "Code 302 - Found",                           0 },
         { "Code 303 - See Other",                       0 },
         { "Code 304 - Not Modified",                    0 },
         { "Code 305 - Use Proxy",                       0 },
         { "Code 307 - Moved Temporarily",               0 },
         { "Code 400 - Bad Request",                     0 },
         { "Code 401 - Unauthorized",                    0 },
         { "Code 402 - Payment Required",                0 },
         { "Code 403 - Forbidden",                       0 },
         { "Code 404 - Not Found",                       0 },
         { "Code 405 - Method Not Allowed",              0 },
         { "Code 406 - Not Acceptable",                  0 },
         { "Code 407 - Proxy Authentication Required",   0 },
         { "Code 408 - Request Timeout",                 0 },
         { "Code 409 - Conflict",                        0 },
         { "Code 410 - Gone",                            0 },
         { "Code 411 - Length Required",                 0 },
         { "Code 412 - Precondition Failed",             0 },
         { "Code 413 - Request Entity Too Large",        0 },
         { "Code 414 - Request-URI Too Long",            0 },
         { "Code 415 - Unsupported Media Type",          0 },
         { "Code 416 - Requested Range Not Satisfiable", 0 },
         { "Code 417 - Expectation Failed",              0 },
         { "Code 500 - Internal Server Error",           0 },
         { "Code 501 - Not Implemented",                 0 },
         { "Code 502 - Bad Gateway",                     0 },
         { "Code 503 - Service Unavailable",             0 },
         { "Code 504 - Gateway Timeout",                 0 },
         { "Code 505 - HTTP Version Not Supported",      0 } };

char *msg_title   = "Статистика відвідувань";
char *msg_h_other = "Інші";

/* Country codes (previously in ctry.h header file) */

struct  country_code ctry[] = {
{ 0,                      "Нерозв'язані/Невідомі",               0,0,0 },
{ IDX_3C('c','o','m'),    "Комерційні (com)",                    0,0,0 },
{ IDX_3C('e','d','u'),    "Освітні (edu)",                   0,0,0 },
{ IDX_3C('g','o','v'),    "Урядові (gov)",                    0,0,0 },
{ IDX_3C('i','n','t'),    "Інтернаціональні (int)",              0,0,0 },
{ IDX_3C('m','i','l'),    "Військові (mil)",                      0,0,0 },
{ IDX_3C('n','e','t'),    "Мережеві (net)",                          0,0,0 },
{ IDX_3C('o','r','g'),    "Некомерційні організації (org)",          0,0,0 },
{ IDX_4C('a','r','p','a'),"Arpanet (arpa)",         0,0,0 },
{ IDX_4C('n','a','t','o'),"Зона Nato (nato)",                0,0,0 },
{ IDX_2C('a','d'),        "Андора (ad)",                          0,0,0 },
{ IDX_2C('a','e'),        "Об'єднані Арабські Емірати (ae)",             0,0,0 },
{ IDX_2C('a','f'),        "Афганістан (af)",                      0,0,0 },
{ IDX_2C('a','g'),        "Трінідад та Тобаго (ag)",              0,0,0 },
{ IDX_2C('a','i'),        "Ангілья (ai)",                         0,0,0 },
{ IDX_2C('a','l'),        "Албанія (al)",                          0,0,0 },
{ IDX_2C('a','m'),        "Вірменія (am)",                          0,0,0 },
{ IDX_2C('a','n'),        "Голандські Антильські острови (an)",             0,0,0 },
{ IDX_2C('a','o'),        "Ангола (ao)",                           0,0,0 },
{ IDX_2C('a','q'),        "Антарктика (aq)",                       0,0,0 },
{ IDX_2C('a','r'),        "Аргентина (ar)",                        0,0,0 },
{ IDX_2C('a','s'),        "Американська Самоа (as)",                   0,0,0 },
{ IDX_2C('a','t'),        "Австрія (at)",                          0,0,0 },
{ IDX_2C('a','u'),        "Австралія (au)",                        0,0,0 },
{ IDX_2C('a','w'),        "Аруба (aw)",                            0,0,0 },
{ IDX_2C('a','z'),        "Азербайджан (az)",                       0,0,0 },
{ IDX_2C('b','a'),        "Боснія та Герцоговина (ba)",           0,0,0 },
{ IDX_2C('b','b'),        "Барбадос (bb)",                         0,0,0 },
{ IDX_2C('b','d'),        "Бангладеш (bd)",                       0,0,0 },
{ IDX_2C('b','e'),        "Бельгія (be)",                          0,0,0 },
{ IDX_2C('b','f'),        "Буркіна Фасо (bf)",                     0,0,0 },
{ IDX_2C('b','g'),        "Болгарія (bg)",                         0,0,0 },
{ IDX_2C('b','h'),        "Бахрейн (bh)",                          0,0,0 },
{ IDX_2C('b','i'),        "Бурунді (bi)",                          0,0,0 },
{ IDX_2C('b','j'),        "Бенін (bj)",                            0,0,0 },
{ IDX_2C('b','m'),        "Бермуди (bm)",                          0,0,0 },
{ IDX_2C('b','n'),        "Бруней Дарусалам (bn)",                0,0,0 },
{ IDX_2C('b','o'),        "Болівія (bo)",                          0,0,0 },
{ IDX_2C('b','r'),        "Бразилія (br)",                           0,0,0 },
{ IDX_2C('b','s'),        "Багами (bs)",                          0,0,0 },
{ IDX_2C('b','t'),        "Бутан (bt)",                           0,0,0 },
{ IDX_2C('b','v'),        "Острів Бувет (bv)",                    0,0,0 },
{ IDX_2C('b','w'),        "Ботсвана (bw)",                         0,0,0 },
{ IDX_2C('b','y'),        "Білорусь (by)",                          0,0,0 },
{ IDX_2C('b','z'),        "Беліз (bz)",                           0,0,0 },
{ IDX_2C('c','a'),        "Канада (ca)",                           0,0,0 },
{ IDX_2C('c','c'),        "Какосові Острови (cc)",          0,0,0 },
{ IDX_2C('c','f'),        "Центрально Африканська Республіка (cf)",         0,0,0 },
{ IDX_2C('c','g'),        "Конго (cg)",                            0,0,0 },
{ IDX_2C('c','h'),        "Швейцарія (ch)",                      0,0,0 },
{ IDX_2C('c','i'),        "Узбережжя Іворі (ci)",      0,0,0 },
{ IDX_2C('c','k'),        "Острови Кука (cg)",                     0,0,0 },
{ IDX_2C('c','l'),        "Чілі (cl)",                            0,0,0 },
{ IDX_2C('c','m'),        "Камерун (cm)",                         0,0,0 },
{ IDX_2C('c','n'),        "Китай (cn)",                            0,0,0 },
{ IDX_2C('c','o'),        "Колумбія (co)",                         0,0,0 },
{ IDX_2C('c','r'),        "Коста Ріка (cr)",                       0,0,0 },
{ IDX_2C('c','s'),        "Чехословаччина (колишня, cs)",          0,0,0 },
{ IDX_2C('c','u'),        "Куба (cu)",                             0,0,0 },
{ IDX_2C('c','v'),        "Кейп Верде (cv)",                       0,0,0 },
{ IDX_2C('c','x'),        "Острів Різдва (cx)",                 0,0,0 },
{ IDX_2C('c','y'),        "Кіпр (cy)",                           0,0,0 },
{ IDX_2C('c','z'),        "Чеська республіка (cz)",                   0,0,0 },
{ IDX_2C('d','e'),        "Німеччина (de)",                          0,0,0 },
{ IDX_2C('d','j'),        "Джибуті (dj)",                         0,0,0 },
{ IDX_2C('d','k'),        "Данія (dk)",                          0,0,0 },
{ IDX_2C('d','m'),        "Домініка (dm)",                         0,0,0 },
{ IDX_2C('d','o'),        "Домініканська республіка (do)",               0,0,0 },
{ IDX_2C('d','z'),        "Алгерія (dz)",                          0,0,0 },
{ IDX_2C('e','c'),        "Еквадор (ec)",                          0,0,0 },
{ IDX_2C('e','e'),        "Естонія (ee)",                          0,0,0 },
{ IDX_2C('e','g'),        "Єгипет (eg)",                            0,0,0 },
{ IDX_2C('e','h'),        "Західна Сахара (eh)",                   0,0,0 },
{ IDX_2C('e','r'),        "Ерітрея (er)",                          0,0,0 },
{ IDX_2C('e','s'),        "Іспанія (es)",                            0,0,0 },
{ IDX_2C('e','t'),        "Ефіопія (et)",                         0,0,0 },
{ IDX_2C('f','i'),        "Aінляндія (fi)",                          0,0,0 },
{ IDX_2C('f','j'),        "Фіджі (fj)",                             0,0,0 },
{ IDX_2C('f','k'),        "Фолклендські Острови (fk)",      0,0,0 },
{ IDX_2C('f','m'),        "Мікронезія (fm)",                       0,0,0 },
{ IDX_2C('f','o'),        "Фарерські Острови (fo)",                    0,0,0 },
{ IDX_2C('f','r'),        "Франція (fr)",                           0,0,0 },
{ IDX_2C('f','x'),        "Франція (метрополія, fx)",             0,0,0 },
{ IDX_2C('g','a'),        "Гобон (ga)",                            0,0,0 },
{ IDX_2C('g','b'),        "Великобританія (gb)",               0,0,0 },
{ IDX_2C('g','d'),        "Гренада (gd)",                          0,0,0 },
{ IDX_2C('g','e'),        "Грузія (ge)",                          0,0,0 },
{ IDX_2C('g','f'),        "Французька Гаяна (gf)",                    0,0,0 },
{ IDX_2C('g','h'),        "Гана (gh)",                            0,0,0 },
{ IDX_2C('g','i'),        "Гібралтар (gi)",                        0,0,0 },
{ IDX_2C('g','l'),        "Гренландія (gl)",                        0,0,0 },
{ IDX_2C('g','m'),        "Гамбія (gm)",                           0,0,0 },
{ IDX_2C('g','n'),        "Гвінея (gn)",                           0,0,0 },
{ IDX_2C('g','p'),        "Гваделупа (gp)",                       0,0,0 },
{ IDX_2C('g','q'),        "Екваторіальна Гвінея (gq)",                0,0,0 },
{ IDX_2C('g','r'),        "Греція (gr)",                           0,0,0 },
{ IDX_2C('g','s'),        "Пд. Георгія і Пд. Острови Сендвіч (gs)", 0,0,0 },
{ IDX_2C('g','t'),        "Гватемала (gt)",                        0,0,0 },
{ IDX_2C('g','u'),        "Гуам (gu)",                             0,0,0 },
{ IDX_2C('g','w'),        "Гвінею-Бісау (gw)",                    0,0,0 },
{ IDX_2C('g','y'),        "Гаяна (gy)",                           0,0,0 },
{ IDX_2C('h','k'),        "Гон Конг (hk)",                        0,0,0 },
{ IDX_2C('h','m'),        "Острови Херда і Макдональда (hm)",       0,0,0 },
{ IDX_2C('h','n'),        "Гондурас (hn)",                         0,0,0 },
{ IDX_2C('h','r'),        "Хорватія (hr)",               0,0,0 },
{ IDX_2C('h','t'),        "Гаїті (ht)",                            0,0,0 },
{ IDX_2C('h','u'),        "Угорщині (hu)",                          0,0,0 },
{ IDX_2C('i','d'),        "Індонезія (id)",                        0,0,0 },
{ IDX_2C('i','e'),        "Ірландія (ie)",                          0,0,0 },
{ IDX_2C('i','l'),        "Ізраїль (il)",                           0,0,0 },
{ IDX_2C('i','n'),        "Індія (in)",                            0,0,0 },
{ IDX_2C('i','o'),        "Британські тер .в Індійському Океані (io)",   0,0,0 },
{ IDX_2C('i','q'),        "Ірак (iq)",                             0,0,0 },
{ IDX_2C('i','r'),        "Іран (ir)",                             0,0,0 },
{ IDX_2C('i','s'),        "Ісландія (is)",                          0,0,0 },
{ IDX_2C('i','t'),        "Італія (it)",                            0,0,0 },
{ IDX_2C('j','m'),        "Ямайка (jm)",                          0,0,0 },
{ IDX_2C('j','o'),        "Йордан (jo)",                           0,0,0 },
{ IDX_2C('j','p'),        "Японія (jp)",                            0,0,0 },
{ IDX_2C('k','e'),        "Кенія (ke)",                            0,0,0 },
{ IDX_2C('k','g'),        "Киргистан (kg)",                       0,0,0 },
{ IDX_2C('k','h'),        "Камбоджа (kh)",                         0,0,0 },
{ IDX_2C('k','i'),        "Кірібаті (ki)",                         0,0,0 },
{ IDX_2C('k','m'),        "Коморські Острови (km)",                          0,0,0 },
{ IDX_2C('k','n'),        "Острови св. Кітса и Невіса (kn)",            0,0,0 },
{ IDX_2C('k','p'),        "Корея (Північна) (kp)",                    0,0,0 },
{ IDX_2C('k','r'),        "Корея (Південна) (kr)",                    0,0,0 },
{ IDX_2C('k','w'),        "Кувейт (kw)",                           0,0,0 },
{ IDX_2C('k','y'),        "Кайманські Острови (ky)",                   0,0,0 },
{ IDX_2C('k','z'),        "Казахстан (kz)",                       0,0,0 },
{ IDX_2C('l','a'),        "Лаос (la)",                             0,0,0 },
{ IDX_2C('l','b'),        "Лебанон (lb)",                          0,0,0 },
{ IDX_2C('l','c'),        "Санта Лючія (lc)",                      0,0,0 },
{ IDX_2C('l','i'),        "Ліхтенштейн (li)",                    0,0,0 },
{ IDX_2C('l','k'),        "Шрі Ланка (lk)",                        0,0,0 },
{ IDX_2C('l','r'),        "Ліберія (lr)",                          0,0,0 },
{ IDX_2C('l','s'),        "Лесото (ls)",                          0,0,0 },
{ IDX_2C('l','t'),        "Литва (lt)",                        0,0,0 },
{ IDX_2C('l','u'),        "Люксембург (lu)",                       0,0,0 },
{ IDX_2C('l','v'),        "Латвія (lv)",                           0,0,0 },
{ IDX_2C('l','y'),        "Лівія (ly)",                            0,0,0 },
{ IDX_2C('m','a'),        "Мароко (ma)",                          0,0,0 },
{ IDX_2C('m','c'),        "Монако (mc)",                           0,0,0 },
{ IDX_2C('m','d'),        "Молдова (md)",                          0,0,0 },
{ IDX_2C('m','g'),        "Мадагаскар (mg)",                       0,0,0 },
{ IDX_2C('m','h'),        "Маршалові Острови (mh)",                 0,0,0 },
{ IDX_2C('m','k'),        "Македонія (mk)",                        0,0,0 },
{ IDX_2C('m','l'),        "Малі (ml)",                             0,0,0 },
{ IDX_2C('m','m'),        "Майанмар (mm)",                          0,0,0 },
{ IDX_2C('m','n'),        "Монголія (mn)",                         0,0,0 },
{ IDX_2C('m','o'),        "Макау (mo)",                            0,0,0 },
{ IDX_2C('m','p'),        "Північні Маріанські Острови (mp)",         0,0,0 },
{ IDX_2C('m','q'),        "Мартініка (mq)",                       0,0,0 },
{ IDX_2C('m','r'),        "Мавританія (mr)",                       0,0,0 },
{ IDX_2C('m','s'),        "Монтсерат (ms)",                       0,0,0 },
{ IDX_2C('m','t'),        "Мальта (mt)",                            0,0,0 },
{ IDX_2C('m','u'),        "Мавританія (mu)",                        0,0,0 },
{ IDX_2C('m','v'),        "Мальдівська Республіка (mv)",                         0,0,0 },
{ IDX_2C('m','w'),        "Малаві (mw)",                           0,0,0 },
{ IDX_2C('m','x'),        "Мексика (mx)",                           0,0,0 },
{ IDX_2C('m','y'),        "Малазія (my)",                         0,0,0 },
{ IDX_2C('m','z'),        "Мозамбік (mz)",                       0,0,0 },
{ IDX_2C('n','a'),        "Намібія (na)",                          0,0,0 },
{ IDX_2C('n','c'),        "Нова Каледонія (nc)",                    0,0,0 },
{ IDX_2C('n','e'),        "Нігер (ne)",                            0,0,0 },
{ IDX_2C('n','f'),        "Острів Норфолк (nf)",                   0,0,0 },
{ IDX_2C('n','g'),        "Нігерія (ng)",                          0,0,0 },
{ IDX_2C('n','i'),        "Нікарагуа (ni)",                        0,0,0 },
{ IDX_2C('n','l'),        "Нідерланди (nl)",                      0,0,0 },
{ IDX_2C('n','o'),        "Норвегія (no)",                           0,0,0 },
{ IDX_2C('n','p'),        "Непал (np)",                            0,0,0 },
{ IDX_2C('n','r'),        "Науру (nr)",                            0,0,0 },
{ IDX_2C('n','t'),        "Нейтральна зона (nt)",                     0,0,0 },
{ IDX_2C('n','u'),        "Ніуе (nu)",                             0,0,0 },
{ IDX_2C('n','z'),        "Нова Зеландія (nz)",           0,0,0 },
{ IDX_2C('o','m'),        "Оман (om)",                             0,0,0 },
{ IDX_2C('p','a'),        "Панама (pa)",                           0,0,0 },
{ IDX_2C('p','e'),        "Перу (pr)",                             0,0,0 },
{ IDX_2C('p','f'),        "Французька Полінезія (pf)",                 0,0,0 },
{ IDX_2C('p','g'),        "Папуа Нова Гвінея (pg)",                 0,0,0 },
{ IDX_2C('p','h'),        "Філіпіни (ph)",                      0,0,0 },
{ IDX_2C('p','k'),        "Пакістан (pk)",                         0,0,0 },
{ IDX_2C('p','l'),        "Польща (pl)",                           0,0,0 },
{ IDX_2C('p','m'),        "Острів св. Пєра і Мігеля (pm)",          0,0,0 },
{ IDX_2C('p','n'),        "Піткерн (pn)",                         0,0,0 },
{ IDX_2C('p','r'),        "Пуерто Ріко (pr)",                      0,0,0 },
{ IDX_2C('p','t'),        "Португалія (pt)",                         0,0,0 },
{ IDX_2C('p','w'),        "Палау (pw)",                            0,0,0 },
{ IDX_2C('p','y'),        "Парагвай (py)",                         0,0,0 },
{ IDX_2C('q','a'),        "Катар (qa)",                            0,0,0 },
{ IDX_2C('r','e'),        "Острів Реюньон (re)",                          0,0,0 },
{ IDX_2C('r','o'),        "Румунія (po)",                          0,0,0 },
{ IDX_2C('r','u'),        "Російська Федерація (ru)",               0,0,0 },
{ IDX_2C('r','w'),        "Руана (rw)",                           0,0,0 },
{ IDX_2C('s','a'),        "Саудівська Аравія (sa)",                     0,0,0 },
{ IDX_2C('s','b'),        "Соломонові Острови (sb)",                  0,0,0 },
{ IDX_2C('s','c'),        "Сейшельські Острови (sc)",                       0,0,0 },
{ IDX_2C('s','d'),        "Судан (sd)",                            0,0,0 },
{ IDX_2C('s','e'),        "Швеція (se)",                           0,0,0 },
{ IDX_2C('s','g'),        "Сінгапур (sg)",                        0,0,0 },
{ IDX_2C('s','h'),        "Острів св. Єлени (sh)",                       0,0,0 },
{ IDX_2C('s','i'),        "Словенія (si)",                         0,0,0 },
{ IDX_2C('s','j'),        "Острови Свалбард і Ян-Майен (sj)",   0,0,0 },
{ IDX_2C('s','k'),        "Республіка Словакії (sk)",                  0,0,0 },
{ IDX_2C('s','l'),        "Сієра Леоне (sl)",                     0,0,0 },
{ IDX_2C('s','m'),        "Сан Маріно (sm)",                       0,0,0 },
{ IDX_2C('s','n'),        "Сенегал (sn)",                          0,0,0 },
{ IDX_2C('s','o'),        "Сомалі (so)",                          0,0,0 },
{ IDX_2C('s','r'),        "Сурінам (sr)",                         0,0,0 },
{ IDX_2C('s','t'),        "Сао Том і Принципові Острови (st)",            0,0,0 },
{ IDX_2C('s','u'),        "СРСР (колишній, su)",                    0,0,0 },
{ IDX_2C('s','v'),        "Сальвадор (sv)",                      0,0,0 },
{ IDX_2C('s','y'),        "Сирія (sy)",                            0,0,0 },
{ IDX_2C('s','z'),        "Свазіланд (sz)",                        0,0,0 },
{ IDX_2C('t','c'),        "Острови Тюркс і Кайкос (tc)",         0,0,0 },
{ IDX_2C('t','d'),        "Чад (td)",                             0,0,0 },
{ IDX_2C('t','f'),        "Південні Французькі території (tf)",      0,0,0 },
{ IDX_2C('t','g'),        "Того (tg)",                             0,0,0 },
{ IDX_2C('t','h'),        "Таїланд (th)",                         0,0,0 },
{ IDX_2C('t','j'),        "Таджикистан (tj)",                       0,0,0 },
{ IDX_2C('t','k'),        "Острови Токелау (tk)",                          0,0,0 },
{ IDX_2C('t','m'),        "Туркменистан (tm)",                     0,0,0 },
{ IDX_2C('t','n'),        "Туніс (tn)",                          0,0,0 },
{ IDX_2C('t','o'),        "Острови Тонга (to)",                            0,0,0 },
{ IDX_2C('t','p'),        "Східний Тімор (tp)",                       0,0,0 },
{ IDX_2C('t','r'),        "Туреччина (tr)",                           0,0,0 },
{ IDX_2C('t','t'),        "Республіка Трінідад та Тобаго (tt)",              0,0,0 },
{ IDX_2C('t','v'),        "Тувалу (tv)",                           0,0,0 },
{ IDX_2C('t','w'),        "Тайвань (tw)",                           0,0,0 },
{ IDX_2C('t','z'),        "Танзанія (tz)",                         0,0,0 },
{ IDX_2C('u','a'),        "Україна (ua)",                          0,0,0 },
{ IDX_2C('u','g'),        "Уганда (ug)",                           0,0,0 },
{ IDX_2C('u','k'),        "Великобританія (uk)",                   0,0,0 },
{ IDX_2C('u','m'),        "Малі зовнішні острови США (um)",        0,0,0 },
{ IDX_2C('u','s'),        "Cполучені штати (us)",                    0,0,0 },
{ IDX_2C('u','y'),        "Уругвай (uy)",                          0,0,0 },
{ IDX_2C('u','z'),        "Eзбекистан (uz)",                       0,0,0 },
{ IDX_2C('v','a'),        "Ватікан (va)",    0,0,0 },
{ IDX_2C('v','c'),        "Острови св. Вінсента і Гренадіни (vc)", 0,0,0 },
{ IDX_2C('v','e'),        "Венесуела (ve)",                        0,0,0 },
{ IDX_2C('v','g'),        "Вірджинські Острови (Британські, vg)",         0,0,0 },
{ IDX_2C('v','i'),        "Вірджинські Острови (США, vi)",            0,0,0 },
{ IDX_2C('v','n'),        "В'єтнам (vn)",                         0,0,0 },
{ IDX_2C('v','u'),        "Вануату (vu)",                          0,0,0 },
{ IDX_2C('w','f'),        "Острова Велліс і Футуна (wf)",        0,0,0 },
{ IDX_2C('w','s'),        "Самоа (ws)",                            0,0,0 },
{ IDX_2C('y','e'),        "Ємен (ye)",                            0,0,0 },
{ IDX_2C('y','t'),        "Острів Майота (yt)",                          0,0,0 },
{ IDX_2C('y','u'),        "Югославія (колишня, yu)",                       0,0,0 },
{ IDX_2C('z','a'),        "Південна Африка (za)",                     0,0,0 },
{ IDX_2C('z','m'),        "Замбія (zm)",                           0,0,0 },
{ IDX_2C('z','r'),        "Заїр (zr)",                            0,0,0 },
{ IDX_2C('z','w'),        "Зімбабве (zw)",                         0,0,0 },
{ 0              ,        NULL,                               0,0,0 }};
